<template>
    <div>
        <div class="headline">
            <span class="information"> Produkt </span> |
            <span class="information"> Kategorie </span> |
            <span class="information"> Preis </span> |
            <span class="information"> Datum </span>
        </div>
        <div v-bind:key="item.id" v-for="item in items">
            <Item v-bind:item="item" v-on:del-item="$emit('del-item', item._id)"/> 
        </div>        
    </div>
</template>

<script>
    import Item from './Item.vue';
    export default {
        name: "ItemList",
        components: {
            Item
        },
        props: ["items"],
    }
</script>

<style scoped>
    .headline {
        display: flex;
        padding: 0px 20px 0px 20px;
    }

    .information{
        flex: 10;
        padding: 5px;
    }
</style>